freemarker.template.utility

## Interface WriteProtectable

All Known Implementing Classes:
  BeansWrapper, DefaultObjectWrapper, RhinoWrapper, SimpleObjectWrapper

    public interface WriteProtectable

Implemented by objects that can be made permanently read-only. This usually meant to freeze the configuration JavaBean properties, so that the object can be safely shared among independently developed components.

Since:
  2.3.21

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isWriteProtected()`
`void` `writeProtect()` Makes this object permanently read-only.

### Method Detail

#### writeProtect

    void writeProtect()

Makes this object permanently read-only.

#### isWriteProtected

    boolean isWriteProtected()